package com.doverfuelingsolutions.testdemo.driver.serialPort;


import com.doverfuelingsolutions.testdemo.driver.printer.PrintStatusListen;
import com.doverfuelingsolutions.testdemo.driver.scan.ScanValueListener;

public interface DataReceivedListener {
    void onDataReceived(byte[] data, ScanValueListener scanValueListener);

    void onDataReceived(byte[] data, PrintStatusListen printStatusListen);

    void onDataReceived(byte[] data);
}
